{% extends "views/default/base.html" %}
{% load widget_tweaks %}
{% load static %}

{% block title %}Realizar Compra{% endblock %}
{% block css %}


{% endblock css %}
{% block content %}
<div class="wrapper">
    <!-- Navbar -->
    {% include "views/default/header.html" %}
    <!-- /.navbar -->
    <!-- Main Sidebar Container -->
    {% include "views/default/menu.html" %}
    <div class="content-wrapper">
        <div class="content-header">
        </div>
        <section class="content">
            <div class="container-fluid">
                <div >
                    <div class="col-md-10 offset-md-7 mr-auto ml-auto">               
                        <!-- Default box -->
                        <form method="post" action="." enctype="multipart/form-data">
                            <div class="card card-primary">
                                <div class="card-header">
                                    <h3 class="card-title">
                                        <i class="fas fa-plus"></i>
                                        {{ title }}
                                    </h3>
                                </div>
                                <div class="card-body">
                                    <div class="form-group">
                                        <label>Proveedores:</label>
                                        {{ form.proveedores }}
                                    </div>
                                    <div class="form-group">
                                        <label>Productos:</label>
                                        {{ form.products }}
                                    </div>
                                    <div class="form-group">
                                        <label>Buscador:</label>
                                        {{ form.search }}
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>  
                </div> 
            </div>  
        </section>
    </div> 
    {% include "views/default/footer.html" %} 
</div>

{% endblock content %}
{% block js %}
<script> 
    $(function () {
        var select_products = $('select[name="products"]');
        $('.select2').select2({
            theme: "bootstrap4",
            language: 'es',
            width: '100%'
        });

        $('select[name="proveedores"]').on('change', function () {
            var id = $(this).val();
            
            var options = '<option value="">---------</option>';
            if (id === '') {
                select_products.html(options);
                return false;
            }
            $.ajax({
                url: window.location.pathname,
                type: 'POST',
                data: {
                    'action': 'search_product_id',
                    'id': id
                },
                dataType: 'json',
            }).done(function (data) {
                if (!data.hasOwnProperty('error')) {
                    select_products.html('').select2({
                        theme: "bootstrap4",
                        language: 'es',
                        data: data
                    });
                    /*$.each(data, function (key, value) {
                        options += '<option value="' + value.id + '">' + value.name + '</option>';
                    });*/
                    return false;
                }
                message_error(data.error);
            }).fail(function (jqXHR, textStatus, errorThrown) {
                alert(textStatus + ': ' + errorThrown);
            }).always(function (data) {
                //select_products.html(options);
            });
        });

        select_products.on('change', function () {
            var value = select_products.select2('data')[0];
            console.log(value);
        });
        $('select[name="search"]').select2({
            theme: "bootstrap4",
            language: 'es',
            allowClear: true,
            ajax: {
                delay: 250,
                type: 'POST',
                url: window.location.pathname,
                data: function (params) {
                    var queryParameters = {
                        term: params.term,
                        action: 'autocomplete'
                    }
                    return queryParameters;
                },
                processResults: function (data) {
                    return {
                        results: data
                    };
                },
            },
            placeholder: 'Ingrese una descripción',
            minimumInputLength: 1,
        });
    });
</script>

{% endblock js %}